Subject: Re: [PATCH] powerpc: sysdev: cpm1: Optimise gpio bit calculation

From: Segher Boessenkool <[email-masked]>
Date: Fri, 10 Mar 2017 07:02:22 -0600

On Fri, Mar 10, 2017 at 07:41:33PM +1100, Michael Ellerman wrote:
> Well yeah, it saves one instruction, but is it worth it? Are these gpio
> routines in some hot path I don't know about?

If there was a GCC PR for this we probably would make GCC optimise
this; there are many similar things that are optimised already, just
not this one.

Segher